<?php
/*
 * Job Board Data
 * Until I get this stuff into a database, then it sits here.
 *
 */
 
/*
 * States array
 *
 */ 
$states_arr = array( 
	'ANY'=>'Any state', 		'AL'=>"Alabama", 			'AK'=>"Alaska",  		
	'AZ'=>"Arizona", 			'AR'=>"Arkansas", 		'CA'=>"California", 	
	'CO'=>"Colorado", 		'CT'=>"Connecticut",		'DE'=>"Delaware", 
	'DC'=>"Dist. Of Columbia", 	'FL'=>"Florida", 		'GA'=>"Georgia",  
	'HI'=>"Hawaii",   		'ID'=>"Idaho",  			'IL'=>"Illinois",  
	'IN'=>"Indiana",  		'IA'=>"Iowa",   			'KS'=>"Kansas",  
	'KY'=>"Kentucky", 		'LA'=>"Louisiana",		'ME'=>"Maine", 
	'MD'=>"Maryland",  		'MA'=>"Massachusetts",  	'MI'=>"Michigan", 
	'MN'=>"Minnesota",  		'MS'=>"Mississippi", 	'MO'=>"Missouri",  
	'MT'=>"Montana",			'NE'=>"Nebraska",			'NV'=>"Nevada",
	'NH'=>"New Hampshire",	'NJ'=>"New Jersey",		'NM'=>"New Mexico",
	'NY'=>"New York",			'NC'=>"North Carolina",	'ND'=>"North Dakota",
	'OH'=>"Ohio",  			'OK'=>"Oklahoma",  		'OR'=>"Oregon",  
	'PA'=>"Pennsylvania",	'RI'=>"Rhode Island",	'SC'=>"South Carolina",  
	'SD'=>"South Dakota",	'TN'=>"Tennessee",  		'TX'=>"Texas",  
	'UT'=>"Utah",  			'VT'=>"Vermont",			'VA'=>"Virginia",  	
	'WA'=>"Washington",  	'WV'=>"West Virginia",	'WI'=>"Wisconsin", 
	'WY'=>"Wyoming"
);

 /*
 * ONET classifications from http://online.onetcenter.org/find/career?c=2&s=2 
 * TODO: Insert final items for 51-* and 53-* ... does not include sales & management
 */
$onet_arr = array( 
	'11902'=>'Construction Managers', 	
	
	'47202'=>'Masonry', 
	'47203'=>'Carpentry', 				'47204'=>'Carpet & Flooring', 		
	'47205'=>'Concrete', 				'47206'=>'Construction Labor', 
	'47207'=>'Construction Equipment', '47208'=>'Drywall', 
	'47211'=>'Electrical', 				'47212'=>'Glass', 
	'47213'=>'Insulation', 				'47214'=>'Painting', 
	'47215'=>'Plumbers & Pipe Laying', '47216'=>'Plaster', 
	'47217'=>'Reinforced Iron/Rebar', 	'47218'=>'Roofing', 
	'47221'=>'Sheet Metal', 				'47222'=>'Structural Iron & Steel', 
	'47301'=>'Construction Helpers', 	'47401'=>'Construction/Building Inspection', 
	'47402'=>'Elevator Install/Repair','47403'=>'Fence Erectors', 
	'47404'=>'Hazardous Materials', 	'47405'=>'Highway Maintenance', 
	'47407'=>'Septic Tank/Sewer', 		'474091'=>'Segmental Paver', 
	'474099'=>'Construction Other', 	'475021'=>'Earth Driller', 
	'475'=>'Extraction', 				
	
	'49901'=>'Control Repair', 			'49902'=>'HVAC Installation', 		
	'49904'=>'Industrial Machinery', 	'49605'=>'Power Line Installation',
	'49909'=>'Misc Maintenance/Repair' 
);

/*
 * Trades array - Basic trades and associated SH queries to make against them
 *
 */
$trades_arr = array(
	'carpentry'			=> 'carpenter+carpentry+carpenters',
	'carpet-and-flooring'	=> 'carpet+carpets+flooring+floors',
	'concrete'				=> 'concrete+cement',
	'construction-labor'	=> 'construction+labor',
	'construction-equipment'		=> 'construction+equipment+operators',
	'construction-managers'		=> 'construction-managers',
	'drywall'				=> 'drywall+drywallers',
	'electrical'			=> 'electrical+electricians+electrician',
	'glass'				=> 'glass+glazier+glaziers',
	'insulation'			=> 'insulation+insulator+insulators',
	'masonry'				=> 'mason+masons+masonry',
	'painting'				=> 'painter+painters+painting',
	'plumbing'				=> 'plumbing+plumbers+plumber',
	'plaster'				=> 'plaster+plasterer',
	'roofing'				=> 'roofer+roofers+roofing',
	'welding'				=> 'welder+welding+welders',
); 

/*
 * Titles array - Used for refining trades searches by amending a title to the trade.
 *
 */
$titles_arr = array (
	'laborer'		=>	'labor+laborer+laborers',
	'apprentice'	=>	'apprentice+apprentices+apprenticeship',
	'journeyman'	=>	'journeyman+journeymen',
	'foreman'		=>	'foreman+foremen',
	'manager'		=>	'manager+managers',
	'salesman'		=>	'salesman+salesmen',
	'canvasser'	=>	'canvasser+canvassers',
	'warehouse'	=>	'warehouse',
	'administrative'	=>	'administration+administrative',
	'clerical'		=>	'clerical',
	'driver'		=>	'driver+drivers',
	'supervisor'	=>	'supervisors+supervisor',
);

 ?>