<?php
/*
 *
 *
 */
 
 // [bartag foo="foo-value"]
 function wphsa_joblist_shortcode($atts) {
	extract(shortcode_atts(array(
		'query' => '',
		'location' => '',
		'title' => 'Sample Job Listing',
		'number' => 10,
	), $atts));
	
	/* Grab a list of jobs. */
	global $wpsha, $wp;
	
	$wpsha->set_query( $query );
	$wpsha->set_location( $location );
	if( isset($onet) ) {
		$wpsha->set_onet( $onet );
	}
	//$shJobs->set_radius( $args['radius'] );
	//var_dump($wpsha);

	/* Process POST and Query_vars */
	foreach ( $wp->query_vars as $key=>$val ) {
		switch ($key) {
			case 'query':
				//$query = construx_filter_query( $val );
				$wpsha->set_query( $query );
				break;
			case 'location':
				$wpsha->set_location( $val );
				break;
			case 'page':
				$wpsha->set_pagenum( $val );
				break;
			case 'onet':
				$wpsha->set_onet( $onet );
				break;
		}
	}
	if ( $_POST['location'] ) {
		$wpsha->set_location( $_POST['location'] );
	}
	
	$results = $wpsha->search( $number );
	//var_dump($results);
	
	/* State search form area */
	require_once ( WPSHA_DIR . '/data/usa-states.php');
	$html .= 
	'<div id="search-container">
		<form name="state" action="" method="post">
			<label>Location</label>
			<select id="location" name="location">';			
			foreach( $states_arr as $key=>$value) {
				$html .= '<option value="' . $key . '"';
				if( $_POST['location']==$key ) 
					$html .= ' selected';
				$html .= '>' . $value . '</option>';
			}
	$html .= '
			</select>
			<input id="filter-button" type="submit" name="Submit" value="Search" />
		</form>
	</div>';

	
	if ( !$results->error  ) {
		
		$html .= '<div class="status-line">';
			$html .= $wpsha->print_results_totals(false);
			$html .= $wpsha->print_apicall(false);
		$html .= '</div>';

		if( $results->rs->r->ty == 'organic' ) {
			$featured = '';
		}
		else {
			$featured = 'featured';
		}
		$html .= '
			<div class="' . $featured . ' joblist">';
		if ($featured == 'featured') {
			$html .= '<span class="sponsored">Sponsored results.</span>'; 
		}
			$html .= '
				<ul>';
					foreach ( $results->rs->r as $result ) {
						$anchor = 'href="'.$result->src['url'].'" target="_blank" rel="nofollow" onMouseDown="xml_sclk(this);"';
						if( $last_type == 'sponsored' && $result->ty == 'organic' ){
							$html .= '	
							</ul>
						</div>
						<div class="joblist">
							<ul>';
						}
						/* Internal re-direct to organic job item pages */
						if( $result->ty == 'organic' ) {
							//$jobid = construx_get_jobid($result->src['url']);
							//$anchor = 'href="/job/view/' . $jobid . '/jt/' . $result->jt . ' Job';
							//if( $result->loc ) { $anchor .= ' in ' . $result->loc; }
							//if( $result->cn ) { $anchor .= ' | ' . $result->cn; }
							//$anchor .=  '"';
						}
						$html .= '
							<li class="result">
								<div class="job">
									<a ' . $anchor . '>' . $result->jt . '</a>
									<p class="coloc"><span class="company">' . $result->cn . '</span>
									<span class="s"> - </span>
									<span class="location">' . $result->loc . '</span>
									</p>
									<p class="description">' . $result->e . '
									</p>
									<span class="source">From ' . $result->src . '</span>
									<span class="s"> - </span>
									<span class="ago">' . substr($result->dp, 0, 10) . '</span>

								</div>
							</li>';
							$last_type = $result->ty;
					}
					$html .= '
							</ul>
						</div>';
	}
	else {
		$html = '<p class="error">' . __( 'There was an error in your query! View API call ', $textdomain ) . '<a href="' . $wpsha->apicall . '">XML</a></p>';
	}
	
	$html .= $wpsha->get_pagination_html( $results );
	
	$html .= $wpsha->get_attribution_html();

	return $html; 
}
add_shortcode('joblist', 'wphsa_joblist_shortcode');

?>